## deepin-reader 6.5.24

=== reader/CMakeLists.txt ===
# 查找pkg-config依赖
find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBJPEG REQUIRED libjpeg)
pkg_check_modules(DDJVU REQUIRED ddjvuapi)
pkg_check_modules(PDFIUM REQUIRED deepin-pdfium${PDF_LIB_VERSION})

# 收集所有源文件
file(GLOB SOURCES 
    "*.cpp" 
    "*.c"
    "*.h"
)

# app sources
file(GLOB_RECURSE APP_SOURCES 
    "app/*.cpp" 
    "app/*.h"
)
# browser sources
file(GLOB_RECURSE BROWSER_SOURCES 
    "browser/*.cpp" 
    "browser/*.h"
)
# document sources
file(GLOB_RECURSE DOCUMENT_SOURCES 
    "document/*.cpp" 
    "document/*.h"
)
# sidebar sources
file(GLOB_RECURSE SIDEBAR_SOURCES 
    "sidebar/*.cpp" 
    "sidebar/*.h"
)
# uiframe sources
file(GLOB_RECURSE UIFRAME_SOURCES 
    "uiframe/*.cpp" 
    "uiframe/*.h"
)
# widgets sources
file(GLOB_RECURSE WIDGET_SOURCES 
    "widgets/*.cpp" 
    "widgets/*.h"
)

# 定义reader可执行文件
add_executable(deepin-reader
    ${SOURCES}
    ${APP_SOURCES}
    ${BROWSER_SOURCES}
    ${DOCUMENT_SOURCES}
    ${SIDEBAR_SOURCES}
    ${UIFRAME_SOURCES}
    ${WIDGET_SOURCES}
)

# 启用自动moc处理
set_target_properties(deepin-reader PROPERTIES
    AUTOMOC ON
    AUTORCC ON
    AUTOUIC ON
)

# 包含目录
target_include_directories(deepin-reader PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/app
    ${CMAKE_CURRENT_SOURCE_DIR}/browser
    ${CMAKE_CURRENT_SOURCE_DIR}/document
    ${CMAKE_CURRENT_SOURCE_DIR}/sidebar
    ${CMAKE_CURRENT_SOURCE_DIR}/uiframe
    ${CMAKE_CURRENT_SOURCE_DIR}/widgets
    ${PDFIUM_INCLUDE_DIRS}
)

if (NOT APP_VERSION)
    set(APP_VERSION "1.0.0")
endif()

# 定义安装前缀
target_compile_definitions(${PROJECT_NAME} PRIVATE
    INSTALL_PREFIX="${CMAKE_INSTALL_PREFIX}"
    APP_VERSION="${APP_VERSION}"
)

# 链接库
target_link_libraries(deepin-reader PRIVATE
    ${LINK_LIBS}
    ${LIBJPEG_LIBRARIES}
    ${DDJVU_LIBRARIES}
    ${PDFIUM_LIBRARIES}
)

# 添加资源文件
qt_add_resources(reader_RESOURCES
    ${CMAKE_SOURCE_DIR}/resources/resources.qrc
)
target_sources(deepin-reader PRIVATE ${reader_RESOURCES})

# 安装目标
install(TARGETS deepin-reader
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

# 安装桌面文件和图标
install(FILES
    deepin-reader.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications
)

install(FILES
    deepin-reader.svg
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
)

# 安装帮助文件
install(DIRECTORY
    ${CMAKE_SOURCE_DIR}/assets/
    DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application
)

## deepin-reader 5.10.9

=== debian/changelog ===
deepin-reader (5.10.9-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 24 Jan 2022 13:15:14 +0800

deepin-reader (5.8.0.1) unstable; urgency=low

  * Autobuild Tag 5.8.0.1

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 30 oct 2020 18:46:29 +0000

=== debian/control ===
Source: deepin-reader
Section: graphics
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11), pkg-config, qtbase5-dev, qtchooser, qttools5-dev-tools, libdtkwidget-dev, libspectre-dev, libdjvulibre-dev, libtiff-dev, libkf5archive-dev, libjpeg-dev, libicu-dev, libpng-dev, zlib1g-dev, liblcms2-dev, libopenjp2-7-dev, libfreetype6-dev, libgtest-dev, libchardet-dev, qtwebengine5-dev
Standards-Version: 4.5.0

Package: deepin-reader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pandoc, libdtkwidget5 (>= 5.4.11)
Description: a tool for reading document files.
 Document Viewer is a tool for reading document files,supporting PDF, DJVU, DOCX etc

## deepin-reader 5.10.13

=== debian/changelog ===
deepin-reader (5.10.13-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 16 May 2022 10:21:39 +0800

## deepin-reader 5.10.23

=== debian/changelog ===
deepin-reader (5.10.23-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Fri, 12 Aug 2022 10:28:56 +0800

## deepin-reader 5.10.27

=== debian/changelog ===
deepin-reader (5.10.27-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 17 Nov 2022 10:44:39 +0800

=== debian/control ===
--- 
+++ 
@@ -8,5 +8,6 @@
 Package: deepin-reader
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, pandoc, libdtkwidget5 (>= 5.4.11)
+Recommends: uos-reporter, deepin-event-log
 Description: a tool for reading document files.
  Document Viewer is a tool for reading document files,supporting PDF, DJVU, DOCX etc

## deepin-reader 6.0.8

=== debian/changelog ===
deepin-reader (6.0.8) unstable; urgency=medium

  * change log 6.0.8.

 -- liuqingfu <liuqingfu@uniontech.com>  Tue, 09 Jan 2024 15:15:42 +0800

deepin-reader (6.0.7) unstable; urgency=medium

  * change log 6.0.7.

 -- muyuankai <muyuankai@uniontech.com>  Tue, 19 Dec 2023 11:49:10 +0800

deepin-reader (6.0.6) unstable; urgency=medium

  * fix: can not copy
 
 -- fengli <fengli@uniontech.com>  Fri, 03 Nov 2023 13:23:33 +0800

deepin-reader (6.0.5) unstable; urgency=medium

  * change log 6.0.5.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 16 Oct 2023 20:11:51 +0800

deepin-reader (6.0.4) unstable; urgency=medium

  * compact mode.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 16 Oct 2023 14:29:42 +0800

deepin-reader (6.0.3) unstable; urgency=medium

  * fix bug.

 -- muyuankai <muyuankai@uniontech.com>  Mon, 16 Oct 2023 14:20:13 +0800

deepin-reader (6.0.2) unstable; urgency=medium

  * Update tag.

 -- wangcong <wangcong@uniontech.com>  Thu, 20 Jul 2023 17:55:34 +0800

deepin-reader (6.0.1) unstable; urgency=medium

  * Update tag.

 -- wangcong <wangcong@uniontech.com>  Wed, 4 Jan 2023 17:55:34 +0800

deepin-reader (6.0.0) unstable; urgency=medium

  * Update tag.

 -- wangcong <wangcong@uniontech.com>  Wed, 4 Jan 2023 17:55:34 +0800
 

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export QT_SELECT := 5

override_dh_auto_configure:
	dh_auto_configure -- DAPP_VERSION=$(DEB_VERSION_UPSTREAM) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

## deepin-reader 6.5.2

=== debian/changelog ===
deepin-reader (6.5.2) unstable; urgency=medium

  * fix: shortcut copy text not work(Bug: 234693)(Influence: shortcut-copy)
  * feat: [translation]add transifex config(Task: 361363)

 -- renbin <renbin@uniontech.com>  Fri, 20 Sep 2024 13:08:18 +0800

deepin-reader (6.5.1) unstable; urgency=medium

  * New version 6.5.1
  * Adapt linglong.

-- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-reader (6.5.0) unstable; urgency=medium

  * feat: adapt treeland(Influence: Treeland)

 -- renbin <renbin@uniontech.com>  Wed, 21 Aug 2024 15:38:41 +0800

deepin-reader (6.0.10) unstable; urgency=medium

  * change log 6.0.10.

 -- muyuankai <muyuankai@uniontech.com>  Thu, 20 Jun 2024 11:48:10 +0800

deepin-reader (6.0.9) unstable; urgency=medium

  * fix: Fixed the problem that when opening any PDF in the document viewer,
         the enlargement or reduction percentage is not displayed in the
         upper left corner(Bug: 248095)
  * feat: Change default shortcuts popup position(Task: 332271)
         (Influence: Shortcuts)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:47:28 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 Package: deepin-reader
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pandoc, libdtkwidget5 (>= 5.4.11)
-Recommends: uos-reporter, deepin-event-log
+Depends: ${shlibs:Depends}, ${misc:Depends}, pandoc
 Description: a tool for reading document files.
  Document Viewer is a tool for reading document files,supporting PDF, DJVU, DOCX etc

## deepin-reader 6.5.24

=== debian/changelog ===
deepin-reader (6.5.24) unstable; urgency=medium

  * Update version to 6.5.24.

 -- Tian ShiLin <tianshilin@uniontech.com>  Wed, 14 May 2025 11:26:02 +0800

deepin-reader (6.5.23) unstable; urgency=medium

  * fix: Fix file loss issue when saving and closing documents in SMB network share
  * Bump version to 6.5.23

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 09 May 2025 13:19:21 +0800

deepin-reader (6.5.22) unstable; urgency=medium

  * refactor: [build]Enable cmake build
  * chore: [build]Replace the source build with install library
  * chore: Remove unused source
  * fix: [build]Fix the build depend for Qt5 base.

 -- renbin <renbin@uniontech.com>  Thu, 24 Apr 2025 17:15:20 +0800

deepin-reader (6.5.21) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:34:04 +0800

deepin-reader (6.5.20) unstable; urgency=medium

  * Update version to 6.5.20

 -- Liu zheng <liuzheng@uniontech.com>  Thu, 10 Apr 2025 15:46:26 +0800

deepin-reader (6.5.19) unstable; urgency=medium

  * Update version to 6.519

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Apr 2025 14:58:31 +0800

deepin-reader (6.5.18) unstable; urgency=medium

  * New upstream release.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 27 Mar 2025 21:15:49 +0800

deepin-reader (6.5.17) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 27 Mar 2025 20:22:55 +0800

deepin-reader (6.5.16) unstable; urgency=medium

  * update version to 6.5.16.

 -- Wang Yu <wangyu@uniontch.com>  Thu, 27 Mar 2025 17:41:43 +0800

deepin-reader (6.5.15) unstable; urgency=medium

  * update version to 6.5.15
  * chore: update linglong.yaml for translations

 -- wangrong <wangrong@uniontech.com>  Fri, 14 Mar 2025 08:52:56 +0800

deepin-reader (6.5.14) unstable; urgency=medium

  * chore: New version 6.5.14.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 28 Feb 2025 10:08:29 +0800

deepin-reader (6.5.13) unstable; urgency=medium

  * update version to 6.5.13
  * fix: fix fail to open .docx file
  * fix: fix app stuck when checking document info
  * chore: update linglong.yaml for translations

 -- wangrong <wangrong@uniontech.com>  Thu, 20 Feb 2025 18:52:13 +0800

deepin-reader (6.5.12) unstable; urgency=medium

  * Update version to 6.5.12
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Fri, 24 Jan 2025 13:53:10 +0800

deepin-reader (6.5.11) unstable; urgency=medium

  * New tag.

 -- Tian ShiLin <tianshilin@uniontech.com>  Mon, 20 Jan 2025 16:05:17 +0800

deepin-reader (6.5.10) unstable; urgency=medium

  * New tag 

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 20 Jan 2025 14:02:53 +0800

deepin-reader (6.5.9) unstable; urgency=medium

  * Update version to 6.5.9

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 14:02:47 +0800

deepin-reader (6.5.8) unstable; urgency=medium

  * chore: New version 6.5.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 14:06:56 +0800

deepin-reader (6.5.7) unstable; urgency=medium

  * Update version to 6.5.7

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:08:36 +0800

deepin-reader (6.5.6) unstable; urgency=medium

  * Update version to 6.5.6

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:41:58 +0800

deepin-reader (6.5.5) unstable; urgency=medium

  * chore: update linglong version

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 13:44:26 +0800

deepin-reader (6.5.4) unstable; urgency=medium

  *remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 06 Nov 2024 16:11:13 +0800

deepin-reader (6.5.3) unstable; urgency=medium

  * Fix pdf conflict problem

 -- Liu zheng <liuzheng@uniontech.com>  Wed, 16 Oct 2024 13:45:31 +0800

## deepin-reader 6.5.28

=== debian/changelog ===
deepin-reader (6.5.28) unstable; urgency=medium

  * chore: remove deepin-reader_en_AU.ts file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 27 Jun 2025 17:03:22 +0800

deepin-reader (6.5.27) unstable; urgency=medium

  * fix(translations): update translations for multiple languages by Ai (#175)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 10:48:12 +0800

deepin-reader (6.5.26) unstable; urgency=medium

  * Fix build failure on mips64el

 -- wangrong <wangrong@uniontech.com>  Sat, 21 Jun 2025 09:43:10 +0800

deepin-reader (6.5.25) unstable; urgency=medium

  * build: Add position-independent code compilation flags

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:23:13 +0800

## deepin-reader 6.5.32

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

# 项目基本信息
project(deepin-reader
    VERSION 1.0.0
    DESCRIPTION "Deepin Document Viewer"
    LANGUAGES CXX C
)

# 设置C++标准
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(GNUInstallDirs)
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
   set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
# 引入翻译生成
include(translation-generate)

# 查找Qt版本
find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
message(">>> Found Qt version: ${QT_VERSION_MAJOR}")
set(QT_DESIRED_VERSION ${QT_VERSION_MAJOR})

# 设置DTK版本
if (QT_VERSION_MAJOR MATCHES 6)
    set(DTK_VERSION_MAJOR 6)
    set(PDF_LIB_VERSION "")
else()
    set(DTK_VERSION_MAJOR "")
    set(PDF_LIB_VERSION 5)
endif()
message(">>> Build with DTK: ${DTK_VERSION_MAJOR}")

# 定义必需的Qt组件
set(qt_required_components Core Gui Widgets Network Sql Svg Concurrent Xml)

# 添加Qt6特有组件
if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND qt_required_components Core5Compat)
endif()

# 查找Qt和DTK
find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Gui Core)

# 定义链接库
set(LINK_LIBS
    Qt${QT_DESIRED_VERSION}::Core
    Qt${QT_DESIRED_VERSION}::Gui
    Qt${QT_DESIRED_VERSION}::Widgets
    Qt${QT_DESIRED_VERSION}::Network
    Qt${QT_DESIRED_VERSION}::Sql
    Qt${QT_DESIRED_VERSION}::Svg
    Qt${QT_DESIRED_VERSION}::Concurrent
    Qt${QT_DESIRED_VERSION}::Xml
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Core
)

# 添加Qt6特有链接库
if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::Core5Compat)
endif()

# 安全编译选项
add_compile_options(
    -fstack-protector-strong
    -D_FORTIFY_SOURCE=2
    -fPIC
    -pie
    -Wno-unused-parameter
)

add_link_options(
    -pie
    -z lazy
)

# 添加子项目
add_subdirectory(reader)
add_subdirectory(htmltopdf)

# translation files
TRANSLATION_GENERATE(QM_FILES ${CMAKE_SOURCE_DIR}/translations)
add_custom_target(${PROJECT_NAME}_qm_files DEPENDS ${QM_FILES})
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_qm_files)

# Install translations
install(FILES ${QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)

=== htmltopdf/CMakeLists.txt ===
# 定义htmltopdf可执行文件
add_executable(htmltopdf
    main.cpp
    htmltopdfconverter.cpp
    htmltopdfconverter.h
)

# 启用自动moc处理
set_target_properties(htmltopdf PROPERTIES
    AUTOMOC ON
    AUTORCC ON
    AUTOUIC ON
)

find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS WebEngineWidgets)

# 链接Qt模块
target_link_libraries(htmltopdf PRIVATE
    Qt${QT_VERSION_MAJOR}::WebEngineWidgets
    Qt${QT_VERSION_MAJOR}::Core
)

# 安全编译选项
target_compile_options(htmltopdf PRIVATE
    -fstack-protector-strong
    -D_FORTIFY_SOURCE=2
    -fPIC
    -pie
)

target_link_options(htmltopdf PRIVATE
    -pie
)

# 特殊架构优化
if(CMAKE_SYSTEM_PROCESSOR MATCHES "mips64")
    target_compile_options(htmltopdf PRIVATE
        -O3
        -ftree-vectorize
        -march=loongson3a
        -mhard-float
        -mno-micromips
        -mno-mips16
        -flax-vector-conversions
        -mloongson-ext2
        -mloongson-mmi
    )
endif()

# 安装目标
install(TARGETS htmltopdf
    RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/deepin-reader
)

=== reader/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,11 @@
 pkg_check_modules(LIBJPEG REQUIRED libjpeg)
 pkg_check_modules(DDJVU REQUIRED ddjvuapi)
 pkg_check_modules(PDFIUM REQUIRED deepin-pdfium${PDF_LIB_VERSION})
+
+# 添加位置无关代码编译标志
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIE")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 
 # 收集所有源文件
 file(GLOB SOURCES

=== debian/changelog ===
deepin-reader (6.5.32) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 17:57:46 +0800

deepin-reader (6.5.31) unstable; urgency=medium

  * chore: Update deb sources for linglong yaml

 -- wangrong <wangrong@uniontech.com>  Wed, 02 Jul 2025 16:28:19 +0800

deepin-reader (6.5.30) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Jul 2025 10:53:33 +0800

deepin-reader (6.5.29) unstable; urgency=medium

  * chore: update translation

 -- xiepengfei <xiepengfei@uniontech.com>  Tue, 01 Jul 2025 19:23:43 +0800

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

# 有的Qt5环境需要设置环境变量，Qt6不需要
export QT_SELECT=5

# 检测当前安装的Qt版本，优先使用Qt6，否则使用Qt5
define detect_qt_version
ifneq (,$(shell which qmake6 2>/dev/null))
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6"
else
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"
endif
endef

# 调用检测Qt版本的命令
$(eval $(call detect_qt_version))

# hardcode this if want to force build with sepecific Qt version
# QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"

DH_AUTO_ARGS = --parallel --buildsystem=cmake

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	-DAPP_VERSION=$(DEB_VERSION_UPSTREAM) \
	-DVERSION=$(DEB_VERSION_UPSTREAM) \
	-DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DQT_DIR=$(QT_DIR)

## deepin-reader 6.5.35

=== debian/changelog ===
deepin-reader (6.5.35) unstable; urgency=medium

  * chore: Update version to 6.5.35

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 16:31:09 +0800

deepin-reader (6.5.34) unstable; urgency=medium

  * chore: Add INCLUDEPATH to project files for htmltopdf and reader

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 15:00:14 +0800

deepin-reader (6.5.33) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files (#183)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 05 Aug 2025 21:09:33 +0800

## deepin-reader 6.5.40

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,15 @@
 # 设置C++标准
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+# XPS支持选项（默认关闭）
+option(XPS_SUPPORT "Enable XPS document format support" OFF)
+if(XPS_SUPPORT)
+    message(">>> XPS support enabled")
+    add_compile_definitions(XPS_SUPPORT_ENABLED)
+else()
+    message(">>> XPS support disabled")
+endif()
 
 include(GNUInstallDirs)
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

=== reader/CMakeLists.txt ===
--- 
+++ 
@@ -119,6 +119,25 @@
 
 # 安装帮助文件
 install(DIRECTORY
-    ${CMAKE_SOURCE_DIR}/assets/
+    ${CMAKE_SOURCE_DIR}/assets/deepin-reader
     DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application
 )
+
+# log viewer config
+file(GLOB LOGCONFIG_FILES "${CMAKE_SOURCE_DIR}/assets/logconfig/*.json")
+install(FILES ${LOGCONFIG_FILES} DESTINATION share/deepin-log-viewer/deepin-log.conf.d)
+
+# 安装 DConfig 配置文件，1040及以下的默认DTK环境不支持DConfig
+set(DCONFIG_APPID org.deepin.reader)
+file(GLOB DCONFIG_FILES "${CMAKE_SOURCE_DIR}/assets/configs/*.json")
+if(DEFINED DSG_DATA_DIR)
+    if (DTK_VERSION_MAJOR EQUAL "6")
+        dtk_add_config_meta_files(APPID ${DCONFIG_APPID} FILES ${DCONFIG_FILES})
+    else()
+        dconfig_meta_files(APPID ${DCONFIG_APPID} FILES ${DCONFIG_FILES})
+    endif()
+    message("-- DConfig is supported by DTK")
+else()
+    install(FILES ${DCONFIG_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dsg/configs/${DCONFIG_APPID})
+    message("-- DConfig is not supported by DTK")
+endif()

=== debian/changelog ===
deepin-reader (6.5.40) unstable; urgency=medium

  * fix(reader): remove unsafe QObject* logging in SideBarImageViewModel

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 25 Sep 2025 16:04:50 +0800

deepin-reader (6.5.39) unstable; urgency=medium

  * chore: fix linglong build issue and update version.

 -- re2zero <yangwu@uniontech.com>  Wed, 17 Sep 2025 17:40:33 +0800

deepin-reader (6.5.38) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 11:05:54 +0800

deepin-reader (6.5.37) unstable; urgency=medium

  * fix: Update getHtmlToPdfPath for Qt version compatibility and include cmath in XpsDocument

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 04 Sep 2025 16:56:23 +0800

deepin-reader (6.5.36) unstable; urgency=medium

  * bug: Add dynamic path resolution for htmltopdf

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 03 Sep 2025 09:29:10 +0800

=== debian/control ===

Source: deepin-reader
Section: graphics
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 qt6-5compat-dev [!mipsel !mips64el] | libqt5x11extras5-dev,
 qt6-base-dev [!mipsel !mips64el] | qtbase5-dev,
 qt6-tools-dev-tools [!mipsel !mips64el] | qttools5-dev-tools,
 qt6-tools-dev [!mipsel !mips64el] | qttools5-dev,
 qt6-svg-dev [!mipsel !mips64el] | libqt5svg5-dev,
 qt6-webengine-dev [!mipsel !mips64el] | qtwebengine5-dev,
 libdtk6widget-dev [!mipsel !mips64el] | libdtkwidget-dev,
 libdtk6gui-dev [!mipsel !mips64el] | libdtkgui-dev,
 libdtk6core-dev [!mipsel !mips64el] | libdtkcore-dev,
 libdeepin-pdfium-dev (>= 1.5.1) [!mipsel !mips64el] | libdeepin-pdfium5-dev (>= 1.5.1),
 libdjvulibre-dev,
 libtiff-dev,
 libjpeg-dev,
 libicu-dev,
 libpng-dev,
 zlib1g-dev,
 liblcms2-dev,
 libopenjp2-7-dev,
 libfreetype6-dev,
 libgtest-dev,
 libchardet-dev,
Standards-Version: 4.5.0

Package: deepin-reader
Architecture: any
Depends: 
    ${shlibs:Depends}, 
    ${misc:Depends}, 
    pandoc,  
    libqt6webenginecore6-bin [!mipsel !mips64el] | libqt5core5a
Description: a tool for reading document files.
 Document Viewer is a tool for reading document files, supporting PDF, DJVU, DOCX etc.

## deepin-reader 6.5.44

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,13 +11,41 @@
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-# XPS支持选项（默认关闭）
-option(XPS_SUPPORT "Enable XPS document format support" OFF)
-if(XPS_SUPPORT)
-    message(">>> XPS support enabled")
-    add_compile_definitions(XPS_SUPPORT_ENABLED)
+# XPS支持选项（根据依赖检测自动启用）
+find_package(PkgConfig REQUIRED)
+option(XPS_SUPPORT "Enable XPS document format support" ON)
+
+set(XPS_SUPPORT_RESOLVED ${XPS_SUPPORT})
+set(XPS_DEPS_FOUND OFF)
+
+if (XPS_SUPPORT)
+    if (PkgConfig_FOUND)
+        pkg_check_modules(XPS_DEPS QUIET libgxps cairo glib-2.0 gobject-2.0)
+        if (XPS_DEPS_FOUND)
+            message(STATUS ">>> XPS support enabled (libgxps dependencies detected)")
+            add_compile_definitions(XPS_SUPPORT_ENABLED)
+            set(XPS_SUPPORT_RESOLVED ON)
+        else()
+            message(WARNING ">>> XPS support disabled: missing libgxps/cairo/glib-2.0/gobject-2.0 dependencies")
+            set(XPS_SUPPORT_RESOLVED OFF)
+        endif()
+    else()
+        message(WARNING ">>> XPS support disabled: pkg-config not available")
+        set(XPS_SUPPORT_RESOLVED OFF)
+    endif()
 else()
-    message(">>> XPS support disabled")
+    message(STATUS ">>> XPS support disabled by configuration")
+endif()
+
+set(XPS_SUPPORT_ENABLED ${XPS_SUPPORT_RESOLVED})
+if (XPS_SUPPORT_ENABLED)
+    set(XPS_DEPS_INCLUDE_DIRS ${XPS_DEPS_INCLUDE_DIRS})
+    set(XPS_DEPS_LIBRARIES ${XPS_DEPS_LIBRARIES})
+    set(XPS_DEPS_CFLAGS_OTHER ${XPS_DEPS_CFLAGS_OTHER})
+else()
+    unset(XPS_DEPS_INCLUDE_DIRS)
+    unset(XPS_DEPS_LIBRARIES)
+    unset(XPS_DEPS_CFLAGS_OTHER)
 endif()
 
 include(GNUInstallDirs)
@@ -37,10 +65,14 @@
 # 设置DTK版本
 if (QT_VERSION_MAJOR MATCHES 6)
     set(DTK_VERSION_MAJOR 6)
-    set(PDF_LIB_VERSION "")
 else()
     set(DTK_VERSION_MAJOR "")
+endif()
+
+if (QT_VERSION_MAJOR MATCHES 5)
     set(PDF_LIB_VERSION 5)
+else()
+    set(PDF_LIB_VERSION "")
 endif()
 message(">>> Build with DTK: ${DTK_VERSION_MAJOR}")

=== htmltopdf/CMakeLists.txt ===


=== reader/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,9 @@
 pkg_check_modules(LIBJPEG REQUIRED libjpeg)
 pkg_check_modules(DDJVU REQUIRED ddjvuapi)
 pkg_check_modules(PDFIUM REQUIRED deepin-pdfium${PDF_LIB_VERSION})
+if (XPS_SUPPORT_ENABLED)
+    pkg_check_modules(XPS_DEPS REQUIRED libgxps cairo glib-2.0 gobject-2.0)
+endif()
 
 # 添加位置无关代码编译标志
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIE")
@@ -75,6 +78,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/uiframe
     ${CMAKE_CURRENT_SOURCE_DIR}/widgets
     ${PDFIUM_INCLUDE_DIRS}
+    $<$<BOOL:${XPS_SUPPORT_ENABLED}>:${XPS_DEPS_INCLUDE_DIRS}>
 )
 
 if (NOT APP_VERSION)
@@ -87,18 +91,40 @@
     APP_VERSION="${APP_VERSION}"
 )
 
-# 链接库
-target_link_libraries(deepin-reader PRIVATE
+if (XPS_SUPPORT_ENABLED)
+    target_compile_options(deepin-reader PRIVATE ${XPS_DEPS_CFLAGS_OTHER})
+endif()
+
+# 添加资源文件
+set(READER_LINK_LIBS
     ${LINK_LIBS}
     ${LIBJPEG_LIBRARIES}
     ${DDJVU_LIBRARIES}
     ${PDFIUM_LIBRARIES}
 )
 
-# 添加资源文件
-qt_add_resources(reader_RESOURCES
-    ${CMAKE_SOURCE_DIR}/resources/resources.qrc
-)
+if (XPS_SUPPORT_ENABLED)
+    list(APPEND READER_LINK_LIBS ${XPS_DEPS_LIBRARIES})
+endif()
+
+if (QT_VERSION_MAJOR MATCHES 6)
+    target_link_libraries(deepin-reader PRIVATE ${READER_LINK_LIBS})
+
+    qt_add_resources(reader_RESOURCES
+        ${CMAKE_SOURCE_DIR}/resources/resources.qrc
+    )
+else()
+    target_link_libraries(deepin-reader PRIVATE
+        ${READER_LINK_LIBS}
+        dl
+        pthread
+    )
+
+    qt5_add_resources(reader_RESOURCES
+        ${CMAKE_SOURCE_DIR}/resources/resources.qrc
+    )
+endif()
+
 target_sources(deepin-reader PRIVATE ${reader_RESOURCES})
 
 # 安装目标

=== debian/changelog ===
deepin-reader (6.5.44) unstable; urgency=medium

  * build error (#207)

 -- lizheng <uos@uos-PC>  Fri, 14 Nov 2025 08:12:03 +0800

deepin-reader (6.5.43) unstable; urgency=medium

  * feat: Improve XPS print quality by using printer DPI-aware rendering

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 13 Nov 2025 20:17:33 +0800

deepin-reader (6.5.42) unstable; urgency=medium

  * fix: improve FindWidget position update logic

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 13 Nov 2025 14:35:10 +0800

deepin-reader (6.5.41) unstable; urgency=medium

  * fix: fix access with long url in pdf.

 -- re2zero <yangwu@uniontech.com>  Thu, 06 Nov 2025 20:33:01 +0800

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,10 @@
  libdtk6widget-dev [!mipsel !mips64el] | libdtkwidget-dev,
  libdtk6gui-dev [!mipsel !mips64el] | libdtkgui-dev,
  libdtk6core-dev [!mipsel !mips64el] | libdtkcore-dev,
- libdeepin-pdfium-dev (>= 1.5.1) [!mipsel !mips64el] | libdeepin-pdfium5-dev (>= 1.5.1),
+ libdeepin-pdfium-dev [!mipsel !mips64el] | libdeepin-pdfium5-dev,
+ libgxps-dev,
+ libcairo2-dev,
+ libglib2.0-dev,
  libdjvulibre-dev,
  libtiff-dev,
  libjpeg-dev,
@@ -35,6 +38,6 @@
     ${shlibs:Depends}, 
     ${misc:Depends}, 
     pandoc,  
-    libqt6webenginecore6-bin [!mipsel !mips64el] | libqt5core5a
+    libqt6webenginecore6-bin [!mipsel !mips64el] | libqt5core5a,
 Description: a tool for reading document files.
  Document Viewer is a tool for reading document files, supporting PDF, DJVU, DOCX etc.
